Name: licq
Version: 1.6.1
Release: 3%{?dist}
License: GPLv2+
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
URL: http://www.licq.org/
Summary: Licq - A graphical ICQ Client for Linux
Group: Applications/Internet
BuildRequires: qt-devel boost-devel
BuildRequires: gpgme-devel libgpg-error-devel 
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils
BuildRequires: libXScrnSaver-devel
BuildRequires: gettext, cmake
BuildRequires: xosd-devel
BuildRequires: cdk-devel ncurses-devel

Provides: %{name}-kde = %{version}-%{release}, %{name}-msn = %{version}-%{release}, %{name}-icqnd = %{version}-%{release}, %{name}-auto-reply = %{version}-%{release}
Obsoletes: %{name}-kde < 1.6.1, %{name}-msn < 1.6.1, %{name}-icqnd < 1.6.1, %{name}-auto-reply < 1.6.1

%package osd
Summary: OSD (On Screen Display) plugin for Licq
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%package console
Summary: Console plugin for Licq
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description
Licq is a ICQ Client for the common ICQ network. It provides a graphical
user interface based on QT and is enhanceable with many powerful plugins.
For more information visit Licq's Homepage http://www.licq.org

%description osd
This is a small plugin, which uses libxosd2 to
display new arriving messages as OSD (On Screen Display)
text on your desktop.

%description console
This is a console ui plugin for the Licq ICQ client.  It is considered beta
at this point and does not have all the features that the qt-gui supports.

%prep
%setup -q
#remove cvs stuff
rm -rf `find . -name CVS`

%build
export CFLAGS="$RPM_OPT_FLAGS"

mkdir build
pushd build
%cmake ..
make %{?_smp_mflags}
popd

cmakeopts="-DCMAKE_MODULE_PATH=$RPM_BUILD_DIR/%{name}-%{version}/cmake -DLicq_DIR=$RPM_BUILD_DIR/%{name}-%{version}/build/cmake"

pushd plugins/auto-reply
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/console
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/forwarder
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/msn
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/osd
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/qt4-gui
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

pushd plugins/rms
mkdir build
cd build
%cmake $cmakeopts ..
make %{?_smp_mflags}
popd

# move some docs
mkdir auto-reply
cp -a plugins/auto-reply/{README,licq_autoreply.conf,examples} auto-reply/
mkdir forwarder
cp -a plugins/forwarder/{README,licq_forwarder.conf} forwarder/
mkdir msn
cp -a plugins/msn/{README,owner.MSN_} msn/
mkdir rms
cp -a plugins/rms/{README,licq_rms.conf} rms/

%install
pushd build
make DESTDIR=$RPM_BUILD_ROOT install
popd

pushd plugins/auto-reply/build
make DESTDIR=$RPM_BUILD_ROOT install
popd

pushd plugins/console/build
make DESTDIR=$RPM_BUILD_ROOT install
popd

pushd plugins/forwarder/build
make DESTDIR=$RPM_BUILD_ROOT install
popd

pushd plugins/msn/build
make DESTDIR=$RPM_BUILD_ROOT install
popd

pushd plugins/osd/build
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang licq_osd_plugin
popd

pushd plugins/qt4-gui/build
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        ../share/misc/licq.desktop
%find_lang licq
popd

pushd plugins/rms/build
make DESTDIR=$RPM_BUILD_ROOT install
popd

#remove devel 
rm -rf $RPM_BUILD_ROOT/%{_includedir}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/licq/*.la
rm -r  $RPM_BUILD_ROOT/%{_datadir}/applications/licq.desktop
rm -rf $RPM_BUILD_ROOT/%{_datadir}/cmake

%files -f plugins/qt4-gui/build/licq.lang
%defattr(-, root, root, -)
%{_bindir}/licq
%dir %{_libdir}/licq
%{_libdir}/licq/licq_qt4-gui.so
%{_libdir}/licq/protocol_msn.so
%{_libdir}/licq/licq_autoreply.so
%{_libdir}/licq/licq_forwarder.so
%{_libdir}/licq/licq_rms.so
%{_datadir}/licq
%{_datadir}/applications/fedora-licq.desktop
%doc doc/ upgrade/ README* LICENSE
%doc auto-reply forwarder msn rms

%files osd -f plugins/osd/build/licq_osd_plugin.lang
%defattr(-, root, root, -)
%{_libdir}/licq/licq_osd.so
%doc plugins/osd*/{AUTHORS,TODO,README,changelog}

%files console
%defattr(-, root, root, -)
%{_libdir}/licq/licq_console.so
%doc plugins/console/{README,licq_console.conf}

%changelog
* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 1.6.1-3
- Rebuild for new boost

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Akira TAGOH <tagoh@redhat.com> - 1.6.1-1
- New upstream release. (#748117, #528534, #726235)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3.5-11
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.3.5-9
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.3.5-7
- Fix FTBFS: added licq-1.3.5-gcc44.patch
- Do submit patches upstream!

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.3.5-5
- rebuild with new openssl

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.5-4
- fix license tag

* Wed Jul  2 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-3
- fixed problem with logon to icq server
- Resolves: #453682

* Mon May 12 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-2
- fixed possible DoS vulnerability CVE-2008-1996

* Thu Feb 14 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-1
- new version
- few minor fixes to make licq compile with gcc 4.3

* Tue Dec 11 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-10
- spec file cleanup

* Wed Dec 06 2007 Adam Tkac <atkac redhat com> 1.3.4-9
- rebuild against new openssl

* Mon Nov 26 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-8
- fixed sigsegv when new user requested authorization
- Resolves: #389731

* Tue Oct  2 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-7
- spec file clean-up removed htmlview from dependencies
- fixed problem with lupdate

* Tue Feb 27 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-6
- build

* Tue Feb 27 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-5
- run autoconf before icqnd configure

* Mon Feb 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-4
- fix sources

* Mon Feb 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-3
- provide new plugins

* Sat Sep 28 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-2
- fix desktop-file-install

* Fri Sep 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-1
- upgrade

* Mon Sep 18 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-10
- rebuilt

* Wed Jul 26 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-9
- fix build requires (#200120)

* Mon Jun 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-8
- htmlview is default url viewer(#193959)

* Mon Apr 11 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-7
- fix auto away,  it requires libXScrnSaver-devel

* Fri Mar 03 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-6
- use correct lib-path for plugins on x86-64 (#182733)

* Mon Feb 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-5
- rebuild

* Mon Jan 16 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-4
- compile on x86-64

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-3
- remove devel stuff with rm -rf

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-2
- compile with gcc-4.1.0

* Wed Nov 23 2005 Peter Vrabec <pvrabec@redhat.com> 1.3.2-1
- initial package 

